net.i2p.router.client

## Class LookupDestJob

- java.lang.Object
- - net.i2p.router.JobImpl
  - - net.i2p.router.client.LookupDestJob

- All Implemented Interfaces:
    Job

      class LookupDestJob
      extends JobImpl

  Look up the lease of a hash, to convert it to a Destination for the client. Or, since 0.9.11, lookup a host name in the naming service.

- - ### Field Summary

    - ### Fields inherited from class net.i2p.router.JobImpl

      `_id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LookupDestJob(RouterContext context, ClientConnectionRunner runner, Hash h, Hash fromLocalDest)`
    `LookupDestJob(RouterContext context, ClientConnectionRunner runner, long reqID, long timeout, SessionId sessID, Hash h, String name, Hash fromLocalDest)` One of h or name non-null.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Descriptive name of the task
    `void` | `runJob()` Actually perform the task.

    - ### Methods inherited from class net.i2p.router.JobImpl

      `dropped, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LookupDestJob

          public LookupDestJob(RouterContext context,
                               ClientConnectionRunner runner,
                               Hash h,
                               Hash fromLocalDest)

    - #### LookupDestJob

          public LookupDestJob(RouterContext context,
                               ClientConnectionRunner runner,
                               long reqID,
                               long timeout,
                               SessionId sessID,
                               Hash h,
                               String name,
                               Hash fromLocalDest)

      One of h or name non-null. For hash or b32 name, the dest will be returned if the LS can be found, even if the dest uses unsupported crypto.
      Parameters:
        `reqID` - must be >= 0 if name != null
        `sessID` - must non-null if reqID >= 0
        `fromLocalDest` - use these tunnels for the lookup, or null for exploratory

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `Job`
      Descriptive name of the task
      Returns:
        the descriptive name of the task

    - #### runJob

          public void runJob()

      Description copied from interface: `Job`
      Actually perform the task. This call blocks until the Job is complete.